Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface ExtendedPropertySetMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, weblogic.descriptor.DescriptorBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.descriptor.SettableBean, TPMBaseMBean, weblogic.management.WebLogicMBean

    public interface ExtendedPropertySetMBean

extends TPMBaseMBean

This class represents a named set of user-defined extensions represented by XML that can be associated with a trading partner

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `addAttribute(String name, String attribute, String attributeValue)` Adds an attribute to an existing element
`void` | `appendElement(String parent, String name, String value)` Add a child elements to the exiting element for the ExtendedPropertySet
`void` | `fromXMLProperties(String xmlString)` Xml representation that needs to be set for this extended property set.
`List` | `getAttributes(String name)` Gets the Map of the all the attributes for this element
`String` | `getAttributeValue(String name, String attribute)` Gets the text for this attribute belonging to element
`String` | `getDescription()` Retrieves the short textual description of this entity.
`String` | `getElementValue(String parent, String name)` Gets the text for this element
`String` | `getNotes()` Retrieves the additional description to of this entity.
`String` | `getPropertySetName()` Returns the name of this extended property set.
`void` | `removeAttribute(String element, String attribute)` Deletes the attribute for that element
`void` | `removeElement(String name)` Deletes the element and all the child elements and attributes
`TradingPartnerMBean` | `retrieveTradingPartner()` Retrieves the TradingPartnerMBean associated for this property set.
`void` | `setDescription(String newValue)` Specifies the description for the extended propety set
`void` | `setNotes(String newValue)` Registers the additional textual documentation
`void` | `setPropertySetName(String newValue)` Registers the name of this property set.
`String` | `toXMLProperties()` Gets the XML representation of ExtendedPropertySet
`void` | `updateAll(String description, String notes, String xml)` Updates the custom XML extensions.

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getComments, getName, isDefaultedMBean, isPersistenceEnabled, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setPersistenceEnabled, touch, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getPropertySetName

    String getPropertySetName()

  Returns the name of this extended property set.

  Returns:
    Name of the property set.

### setPropertySetName

    void setPropertySetName(String newValue)
                            throws javax.management.InvalidAttributeValueException

  Registers the name of this property set. The name must be unique. The name can be max of 254 characters and cannot be null. The name must not have any blank spaces.

  Parameters:
    `newValue` - - the name of the set
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the name cannot be set or the name has invalid characters.

### getDescription

    String getDescription()

  Retrieves the short textual description of this entity.

  Returns:
    - description text or null if not specified

### setDescription

    void setDescription(String newValue)
                        throws javax.management.InvalidAttributeValueException

  Specifies the description for the extended propety set

  Parameters:
    `newValue` - - description text, can be null
  Throws:
    `javax.management.InvalidAttributeValueException`

### getNotes

    String getNotes()

  Retrieves the additional description to of this entity.

  Specified by:
    `getNotes` in interface `weblogic.management.configuration.ConfigurationMBean`
  Returns:
    - text or null if not specified

### setNotes

    void setNotes(String newValue)
                  throws javax.management.InvalidAttributeValueException

  Registers the additional textual documentation

  Specified by:
    `setNotes` in interface `weblogic.management.configuration.ConfigurationMBean`
  Parameters:
    `newValue` - - the text to specify
  Throws:
    `javax.management.InvalidAttributeValueException`

### getAttributes

    List getAttributes(String name)
                       throws ManagementException,
                              javax.management.InstanceNotFoundException

  Gets the Map of the all the attributes for this element

  Parameters:
    `name` - - Name of the element
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException`

### getAttributeValue

    String getAttributeValue(String name,
                             String attribute)
                             throws ManagementException,
                                    javax.management.InstanceNotFoundException

  Gets the text for this attribute belonging to element

  Parameters:
    `name` - - Name of the element
    `attribute` - - Name of the attribute
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException`

### getElementValue

    String getElementValue(String parent,
                           String name)
                           throws ManagementException,
                                  javax.management.InstanceNotFoundException

  Gets the text for this element

  Parameters:
    `parent` - - Parent of the element
    `name` - - Name of the element
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException`

### addAttribute

    void addAttribute(String name,
                      String attribute,
                      String attributeValue)
                      throws ConfigurationException

  Adds an attribute to an existing element

  Parameters:
    `name` - - Name of the element
    `attribute` - - Name of the attribute
    `attributeValue` - - Value of the attribute
  Throws:
    `ConfigurationException`

### toXMLProperties

    String toXMLProperties()
                           throws ManagementException

  Gets the XML representation of ExtendedPropertySet

  Throws:
    `ManagementException`

### fromXMLProperties

    void fromXMLProperties(String xmlString)
                           throws ManagementException

  Xml representation that needs to be set for this extended property set.

  Parameters:
    `xmlString` - - For example
  Throws:
    `ManagementException` - - If the xml is malformed.

### appendElement

    void appendElement(String parent,
                       String name,
                       String value)
                       throws ConfigurationException

  Add a child elements to the exiting element for the ExtendedPropertySet

  Parameters:
    `parent` - - parent Element
    `name` - - element to be appended to the parent for the ExtendedPropertySet
    `value` - - Value of the element to be appended
  Throws:
    `ConfigurationException`

### removeElement

    void removeElement(String name)
                       throws DeleteException

  Deletes the element and all the child elements and attributes

  Parameters:
    `name` - - element to be removed for the ExtendedPropertySet
  Throws:
    `DeleteException` - - If the element does not exists

### removeAttribute

    void removeAttribute(String element,
                         String attribute)
                         throws DeleteException

  Deletes the attribute for that element

  Parameters:
    `element` - - name of the element, attribute belongs
    `attribute` - - Name of the attribute
  Throws:
    `DeleteException`

### retrieveTradingPartner

    TradingPartnerMBean retrieveTradingPartner()
                                               throws ManagementException

  Retrieves the TradingPartnerMBean associated for this property set.

  Returns:
    - trading partner for the this property set. `null` is no trading partner is associated.
  Throws:
    `ManagementException` - - If unable to find the the trading partner for this extended property set

### updateAll

    void updateAll(String description,
                   String notes,
                   String xml)
                   throws javax.management.InvalidAttributeValueException,
                          UpdateException,
                          ObjectActiveException

  Updates the custom XML extensions.

  Parameters:
    `description` - - short description property set
    `notes` - - additional textual information for property set
    `xml` - - Custom of the XML
  Throws:
    `javax.management.InvalidAttributeValueException`
    `UpdateException`
    `ObjectActiveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD